Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::field_value_type_mismatch Class Reference

Thrown when field value types do not match, generally in a `ROUTE` or `IS`. More...

`#include <openvrml/node.h>`

Inherits std::logic_error.

List of all members.

## Public Member Functions

| field_value_type_mismatch ()
| Constructor.
virtual | ~field_value_type_mismatch () throw ()
| Destructor.

## Detailed Description

Thrown when field value types do not match, generally in a `ROUTE` or `IS`.

## Constructor & Destructor Documentation

openvrml::field_value_type_mismatch::field_value_type_mismatch | ( |  | ) |

Constructor.

openvrml::field_value_type_mismatch::~field_value_type_mismatch | ( |  | ) | throw ()`[virtual]`

Destructor.